Bug 253144 - RFE: confirmation before deleting guest
RFE: confirmation before deleting guest
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
5.1
All Linux
low Severity low
: ---
: ---
Assigned To: Cole Robinson
Virtualization Bugs
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-17 01:39 EDT by David Robinson
Modified: 2009-12-14 16:17 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0480
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 13:28:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ask user for confirmation (1.04 KB, patch)
2007-08-20 01:33 EDT, David Robinson
no flags Details | Diff

  None (edit)
Description David Robinson 2007-08-17 01:39:57 EDT
Description of problem:
Now that shutdown guests are shown in virt-manager they can be deleted, however
there is no confirmation dialog box when pressing the Delete button. It would be
a good idea (TM) to ask for confirmation when deleting guests, especially
considering that the Delete button is right next to the New button.

When removing files, as root, from the command line you are asked for
confirmation. IMHO its easier to accidentally click Delete and wipe away an
entire guest than to accidentally type the wrong filename, yet you are protected
from the more unlikely scenario (does that make sense?)

Version-Release number of selected component (if applicable):
virt-manager-0.4.0-2.el5

How reproducible:
easily

Steps to Reproduce:
1. accidentally press the Delete button
  
Actual results:
AARRRRGGGHHH!!!

Expected results:
opps, phew!
Comment 1 David Robinson 2007-08-20 01:33:15 EDT
Created attachment 161843 [details]
ask user for confirmation
Comment 2 Cole Robinson 2007-11-06 10:43:41 EST
This is already upstream, though coupled with serious UI overhaul. So if the
upstream changes aren't pulled in, the reporter provided a non-intrusive patch
that can definitely be used. Recommended for RHEL 5.2
Comment 3 RHEL Product and Program Management 2007-11-06 10:44:34 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Cole Robinson 2008-01-17 12:56:08 EST
We've rebased to virt-manager 0.5.3, which contains the fix for this bug:

Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
virt-manager-0.5.3-1.el5                  dist-5E-qu-candidate  berrange

Attempting to delete a guest brings up confirmation dialog, pretty straight
forward to verify.
Comment 8 errata-xmlrpc 2008-05-21 13:28:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0480.html

Note You need to log in before you can comment on or make changes to this bug.